Commit b38ab6fe authored by Leo's avatar Leo

main/kmod: upgrade to 28

enable Zstandard
parent 245a9cca
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=kmod
pkgver=27
pkgver=28
pkgrel=0
pkgdesc="Linux kernel module management utilities"
url="http://git.kernel.org/?p=utils/kernel/kmod/kmod.git;a=summary"
......@@ -10,7 +10,7 @@ options="!check" # https://bugs.gentoo.org/408915#c3
license="GPL-2.0-or-later"
# gnu sed is needed for symlink
makedepends_build="sed libxslt"
makedepends_host="$depends_dev zlib-dev xz-dev openssl-dev"
makedepends_host="$depends_dev zlib-dev xz-dev zstd-dev openssl-dev"
makedepends="$makedepends_build $makedepends_host"
triggers="$pkgname.trigger=/lib/modules/*"
subpackages="$pkgname-dev $pkgname-doc $pkgname-openrc $pkgname-libs
......@@ -30,6 +30,7 @@ build() {
--with-rootlibdir=/lib \
--with-zlib \
--with-xz \
--with-zstd \
--with-openssl
make
}
......@@ -62,6 +63,6 @@ libs() {
default_libs
}
sha512sums="e0513094935333fca1fb4c3e3493b232507a579ab00a6457cc9ed3e928363d05aad80634fb65a8287a336bf9895194c7be8ddc41bb088a6c2cca44fc1bfbdb6c kmod-27.tar.xz
sha512sums="50646dc72675a5e17b01e327e3d41b972f18aaeac20c8b00983c4d099c6218f35c32c184a833a2d7f716755d6a86851c90913d2835874cef933bdc4a9722df9a kmod-28.tar.xz
f2ea3527bfba182c5e15557c224a5bba8c7e2ea3d21cf604e6eb2277226dcf983c3aeb9ac44a322c7f2b4942b35135da999d63a5b946b829d3f3b09c050a0f17 strndupa.patch
7f0f89fe98167f71b7924f341ba701d001158225463c2f5e39f706a0224b1e952ee901b441f28cb15787563e83bb6e54eb752bf8669ae7c0ffbb11984542f354 kmod-static-nodes.initd"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment